Name:          cas-client
Version:       3.3.3
Release:       1%{?dist}
Summary:       Jasig CAS Client for Java
License:       ASL 2.0 and BSD
Url:           http://www.jasig.org/cas
Source0:       https://github.com/Jasig/java-%{name}/archive/%{name}-%{version}.tar.gz
# cas-client package don't include the license file
# from http://www.jasig.org/cas/license
Source1:       %{name}-LICENSE.txt
Source2:       http://www.apache.org/licenses/LICENSE-2.0.txt

Patch0:        %{name}-3.3.3-integration-tomcat-v7-unreported-exception.patch

BuildRequires: apache-commons-codec
BuildRequires: ehcache-core
BuildRequires: joda-time
BuildRequires: opensaml-java
BuildRequires: opensaml-java-openws
BuildRequires: opensaml-java-parent
BuildRequires: opensaml-java-xmltooling
BuildRequires: springframework-beans
BuildRequires: spymemcached
BuildRequires: tomcat-lib
BuildRequires: tomcat-servlet-3.0-api
BuildRequires: xml-security

# test deps
BuildRequires: apache-commons-logging
BuildRequires: junit
BuildRequires: log4j
BuildRequires: slf4j
# org.springframework:spring-test
BuildRequires: springframework
BuildRequires: springframework-context

BuildRequires: maven-local
BuildRequires: maven-surefire-provider-junit4

Requires:      springframework-beans
Requires:      tomcat-servlet-3.0-api

BuildArch:     noarch

%description
Jasig CAS Client for Java is the integration point for applications that
want to speak with a CAS server, either via the CAS 1.0 or CAS 2.0 protocol.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n java-%{name}-%{name}-%{version}

%patch0 -p0

find . -name "*.class" -delete
find . -name "*.jar" -delete
%pom_remove_parent

%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-enforcer-plugin

# require 
# com.atlassian.seraph atlassian-seraph 2.4.0
# com.atlassian.osuser atlassian-osuser 1.1.2
# com.atlassian.confluence confluence 3.4.4
%pom_disable_module cas-client-integration-atlassian
# require org.jboss.jbossas jboss-as-tomcat 5.1.0.GA
%pom_disable_module cas-client-integration-jboss
%pom_disable_module cas-client-integration-tomcat-v6

%pom_remove_dep javax.servlet:javax.servlet-api
%pom_add_dep org.apache.tomcat:tomcat-servlet-api::provided

%pom_remove_dep xml-security:xmlsec cas-client-core
%pom_add_dep org.apache.santuario:xmlsec:any:runtime cas-client-core

%pom_add_dep org.slf4j:slf4j-nop::test cas-client-support-distributed-ehcache

%pom_remove_dep org.springframework:spring-test cas-client-core
rm -r cas-client-core/src/test/java/org/jasig/cas/client/session/SingleSignOutHandlerTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/session/SingleSignOutFilterTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/authentication/DefaultAuthenticationRedirectStrategyTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/authentication/FacesCompatibleAuthenticationRedirectStrategyTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/validation/Saml11TicketValidationFilterTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/validation/Cas10TicketValidationFilterTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/util/CasFilterTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/util/CommonUtilsTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/authentication/AuthenticationFilterTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/validation/Cas20ProxyReceivingTicketValidationFilterTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/util/HttpServletRequestWrapperFilterTests.java
# this test fails
rm -r cas-client-support-distributed-ehcache/src/test/java/EhCacheBackedProxyGrantingTicketStorageImplTests.java
rm -r cas-client-core/src/test/java/org/jasig/cas/client/validation/Cas10TicketValidatorTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/validation/Cas20ProxyTicketValidatorTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/validation/Cas20ServiceTicketValidatorTests.java

cp -p %{SOURCE1} LICENSE.txt
cp -p %{SOURCE2} .
sed -i 's/\r//' LICENSE.txt LICENSE-2.0.txt

%build
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE NOTICE LICENSE.txt LICENSE-2.0.txt README.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE LICENSE.txt LICENSE-2.0.txt

%changelog
* Tue Aug 19 2014 gil cattaneo <puntogil@libero.it> 3.3.3-1
- update to 3.3.3
- fix CVE-2014-4172 (rhbz#1131371)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 12 2013 gil cattaneo <puntogil@libero.it> 3.2.1-2
- disable tomcat6 module
- adapt to current guideline

* Fri Nov 16 2012 gil cattaneo <puntogil@libero.it> 3.2.1-1
- initial rpm